<?php
//strpos()
$needle = 'php';
$haystack = 'MySql,php,perl,sql';
echo strpos($haystack,$needle)
//strlen() shows length
echo strlen($haystack); 

echo strtolower($haystack)
echo strlen($haystack);    
echo strtoupper($haystack)
echo trim($haystack);//cuts spaces off both sides of a string
ucfirst($haystack)//uppercase first letter
strip_tags($haystack,'<br><i><ul>');
$swears = array('darn','damn','shucks');
$angryentry = ' I don\'t give a darn '; 
echo str_replace('darn','****',$angryentry);
echo str_replace($swears,'****',$angryentry);
 
nl2br($haystack)
number_format(2)
    
htmlspecialchars()  //cleans data for database entry

htmlentities() //cleans data for database entry
